import React, { Component } from 'react';
import { Container, Row, Col } from "react-bootstrap";
import { makeStyles, createMuiTheme, MuiThemeProvider } from '@material-ui/core/styles';
import { TextField } from '@material-ui/core';
import MenuItem from '@material-ui/core/MenuItem';
import ApprovalMatrix from "./ApprovalMatrix";


const type = [
  {
    value: 'KPI',
    label: 'KPI',
  },
  {
    value: 'Gatau',
    label: 'Gatau',
  },
];

export default class PreviewAM extends Component {
    constructor(props) {
        super(props)
        this.state = {
            visibleAM: false,
            visibleVisual: true
        }
    }

    componentDidMount() {
    }

    render() {
        return (
            <div>    
            {this.state.visibleVisual === true ?
            <div style={{ height: this.props.height }}>
                <div style={{ height: 199, width: '100%', backgroundColor: '#354960' }} />
                    <div>
                        <div style={{ display: 'flex', flexDirection: 'row', justifyContent: 'space-between', paddingRight: 25, paddingLeft: 25, marginTop: -150 }}>
                            <label style={{ color: 'white', width: '20%', fontSize: 16, paddingTop: 8 }}>Visualisasi Data</label>
                        </div>
                        <div style={{ padding: 25, width: '100%' }}>
                            <div style={{ width: '100%', padding: 25, backgroundColor: 'white', borderRadius: 6, border: 'solid 1px #c4c4c4'}}>
                                <label style={{ color: '#4b4b4b', fontSize: '16px', fontWeight: 'bold' }}>Hirarki Persetujuan</label>
                                <div className="" style={{ width: 250, marginTop: 8, marginBottom: 28 }}>
                                    <TextField
                                        style={{ width: '100%' }}
                                        id="type"
                                        select
                                        label="Tipe Persetujuan"
                                        // value={this.state.periode}
                                        onChange={(e) => null}
                                    >
                                        {type.map((option) => (
                                            <MenuItem key={option.value} value={option.value}>
                                                {option.label}
                                            </MenuItem>
                                        ))}
                                    </TextField>
                                </div>
                                <div className="grid grid-4x grid-mobile-none gap-15px">
                                    <div className="column-1">
                                        <div className="margin-bottom-20px">
                                            <label style={{ color: '#4b4b4b', fontSize: '14px' }}>1. John Doe</label>
                                        </div>
                                    </div>
                                    <div className="column-2">
                                    </div>
                                    <div className="column-3">
                                    </div>
                                    <div className="column-4">
                                    </div>
                                </div>
                                <div className="grid grid-4x grid-mobile-none gap-15px">
                                    <div className="column-1">
                                        <div className="margin-bottom-20px">
                                            <label style={{ color: '#4b4b4b', fontSize: '14px' }}>2. Barbara Rosa</label>
                                        </div>
                                    </div>
                                    <div className="column-2">
                                        <div className="margin-bottom-20px">
                                            <label style={{ color: '#4b4b4b', fontSize: '14px' }}>Aneesa Hassan</label>
                                        </div>
                                    </div>
                                    <div className="column-3">
                                        <div className="margin-bottom-20px">
                                            <label style={{ color: '#4b4b4b', fontSize: '14px' }}>AND</label>
                                        </div>
                                    </div>
                                </div>
                                <div className="grid grid-4x grid-mobile-none gap-15px">
                                    <div className="column-1">
                                        <div className="margin-bottom-20px">
                                            <label style={{ color: '#4b4b4b', fontSize: '14px' }}>3. Cole Park</label>
                                        </div>
                                    </div>
                                    <div className="column-2">
                                        <div className="margin-bottom-20px">
                                            <label style={{ color: '#4b4b4b', fontSize: '14px' }}>Levison Robin</label>
                                        </div>
                                    </div>
                                    <div className="column-3">
                                        <div className="margin-bottom-20px">
                                            <label style={{ color: '#4b4b4b', fontSize: '14px' }}>OR</label>
                                        </div>
                                    </div>
                                </div>
                                <div className="grid grid-4x grid-mobile-none gap-15px">
                                    <div className="column-1">
                                        <div className="margin-bottom-20px">
                                            <label style={{ color: '#4b4b4b', fontSize: '14px' }}>4. Madison Price</label>
                                        </div>
                                    </div>
                                    <div className="column-2">
                                    </div>
                                    <div className="column-3">
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div className="row" style={{ display: 'flex', flexDirection: 'row', justifyContent: 'space-between', paddingRight: 15, paddingLeft: 15, paddingBottom: 25 }}>
                            <div onClick={() => this.setState({ visibleVisual: false, visibleAM: true })} style={{ width: 102, height: 30, marginLeft: 25, backgroundColor: 'dodgerblue', borderRadius: 5, alignItems: 'center', display: 'flex', justifyContent: 'center', cursor:"pointer" }}>
                                <span style={{ color: '#fff', fontSize: 11 }}>Kembali</span>
                            </div>
                            <div className="row" style={{ float: 'right', marginRight: 25 }}>
                                <div onClick={() => this.props.onClickClose()} style={{ width: 102, height: 30, border: 'solid 1px #354960', borderRadius: 5, alignItems: 'center', display: 'flex', justifyContent: 'center', cursor:"pointer" }}>
                                    <span style={{ color: '#354960', fontSize: 11 }} >Batal</span>
                                </div>
                                <div style={{ width: 102, height: 30, marginLeft: 25, backgroundColor: '#354960', borderRadius: 5, alignItems: 'center', display: 'flex', justifyContent: 'center', cursor:"pointer" }}>
                                    <span style={{ color: '#fff', fontSize: 11 }}>Simpan</span>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                : false
            }
            {this.state.visibleAM && (
                <ApprovalMatrix
                    onClickClose={() => this.setState({ visibleAM: false })}
                />
            )}
            </div>
            
        );
    }
}
